UnwrapLinks
Date: 2016-07-03

com.nwalsh.saxon

## Class UnwrapLinks

- java.lang.Object
- - com.nwalsh.saxon.UnwrapLinks

-     public class UnwrapLinks
      extends java.lang.Object

  Saxon extension for unwrapping nested links

  $Id: UnwrapLinks.java 5907 2006-04-27 08:26:47Z xmldoc $

  Copyright (C) 2000, 2002 Norman Walsh.

  This class provides a Saxon 6.* implementation of a link unwrapper.

  Change Log:

  1.0

    Initial release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnwrapLinks()` Constructor for UnwrapLinks

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static java.lang.String` | `getVariable(com.icl.saxon.Context context, java.lang.String varName)` Find the string value of a stylesheet variable or parameter
    `static com.icl.saxon.expr.NodeSetValue` | `unwrapLinks(com.icl.saxon.Context context, com.icl.saxon.expr.NodeSetValue rtf_ns)` Unwrap links

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnwrapLinks

          public UnwrapLinks()

      Constructor for UnwrapLinks

      All of the methods are static, so the constructor does nothing.

  - ### Method Detail

    - #### getVariable

          protected static java.lang.String getVariable(com.icl.saxon.Context context,
                                     java.lang.String varName)

      Find the string value of a stylesheet variable or parameter

      Returns the string value of `varName` in the current `context`. Returns the empty string if the variable is not defined.

      Parameters:
        `context` - The current stylesheet context
        `varName` - The name of the variable (without the dollar sign)
      Returns:
        The string value of the variable

    - #### unwrapLinks

          public static com.icl.saxon.expr.NodeSetValue unwrapLinks(com.icl.saxon.Context context,
                                                    com.icl.saxon.expr.NodeSetValue rtf_ns)

      Unwrap links

      Parameters:
        `context` - The current stylesheet context.
        `rtf_ns` - The result tree fragment of the verbatim environment.
      Returns:
        The modified result tree fragment.